> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payem.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get vendors



## OpenAPI

````yaml /openapi/partner-schema.yml get /api/partner/v1/vendors
openapi: 3.0.3
info:
  title: PayEm Partner API
  version: '1.0'
servers:
  - url: https://app.payemcard.com
    description: Production
  - url: https://stage.payemcard.com
    description: Staging
security: []
paths:
  /api/partner/v1/vendors:
    get:
      tags:
        - vendors
      summary: Get vendors
      operationId: vendors_retrieve
      parameters:
        - in: query
          name: page
          schema:
            type: integer
            default: 1
          description: Page number
        - in: query
          name: search
          schema:
            type: string
            default: ''
          description: Search string
      responses:
        '200':
          headers:
            X-Trace-Id:
              schema:
                type: string
              description: >-
                Unique identifier for tracing this request through PayEm
                systems.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorPageResponse'
          description: ''
      security:
        - PayemOAuthAccessToken: []
components:
  schemas:
    VendorPageResponse:
      type: object
      properties:
        count:
          type: integer
        current_page:
          type: integer
        page_size:
          type: integer
        results:
          type: array
          items:
            $ref: '#/components/schemas/VendorResponse'
      required:
        - count
        - current_page
        - page_size
        - results
    VendorResponse:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        active:
          type: boolean
        erp_id:
          type: string
          nullable: true
      required:
        - active
        - id
        - name
  securitySchemes:
    PayemOAuthAccessToken:
      type: http
      scheme: bearer
      description: Short-lived OAuth 2.0 access token. Tokens expire after five minutes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.